Package org.astrogrid.samp.hub

# Interface ClientSet

All Known Implementing Classes:
  `BasicClientSet`

public interface ClientSet
Data structure for keeping track of clients currently registered with a hub.

Since:
  15 Jul 2008
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`void`
`add(HubClient client)`
Adds a new client to the set.
`boolean`
`containsClient(HubClient client)`
Indicates whether a given client is currently a member of this set.
`HubClient[]`
`getClients()`
Returns an array of all the currently contained clients.
`HubClient`
`getFromPublicId(String publicId)`
Returns the client in the set corresponding to a given public ID.
`void`
`remove(HubClient client)`
Removes a client from the set.

## Method Details

### add

void add(HubClient client)
Adds a new client to the set.

Parameters:
  `client` - client to add

### remove

void remove(HubClient client)
Removes a client from the set.

Parameters:
  `client` - client to remove

### getFromPublicId

HubClient getFromPublicId(String publicId)
Returns the client in the set corresponding to a given public ID.

Parameters:
  `publicId` - client public ID
Returns:
  client with id `publicId` if registered, or null

### getClients

HubClient[] getClients()
Returns an array of all the currently contained clients.

Returns:
  client list

### containsClient

boolean containsClient(HubClient client)
Indicates whether a given client is currently a member of this set.

Returns:
  true iff `client` is currently a member of this set